## hubzero-mailgateway 1.1.5

=== Makefile ===
# @package      hubzero-mailgateway
# @file         Makefile
# @author       David Benham <dbenham@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETCDIR=$(DESTDIR)/etc
USRDIR=$(DESTDIR)/usr

default all build:
	@true

install:
	install --mode 0755 -D exim4/router/950_exim4-config_groupmessage  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_groupmessage 
	install --mode 0755 -D exim4/router/950_exim4-config_ticketcomment  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_ticketcomment
	install --mode 0755 -D exim4/router/955_exim4-config_supportmessage  $(ETCDIR)/exim4/conf.d/router/955_exim4-config_supportmessage
	install --mode 0755 -D exim4/transport/40_exim4-config_hubgroupmessage_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
	install --mode 0755 -D exim4/transport/40_exim4-config_ticketcomment_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
	install --mode 0755 -D exim4/transport/45_exim4-config_support_email_pipe  $(ETCDIR)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
	install --mode 0755 -D python/mailproc.py $(USRDIR)/lib/hubzero/bin/mailproc/mailproc.py
	install --mode 0755 -D python/processgroupforumpost.py $(USRDIR)/lib/hubzero/bin/mailproc/processgroupforumpost.py
	install --mode 0755 -D python/processsupportemail.py $(USRDIR)/lib/hubzero/bin/mailproc/processsupportemail.py
	install --mode 0755 -D python/processticketcomment.py $(USRDIR)/lib/hubzero/bin/mailproc/processticketcomment.py
	install --mode 0755 -D python/filecopy.py $(USRDIR)/lib/hubzero/bin/mailproc/filecopy.py

collectfiles:
	cp /etc/exim4/conf.d/router/950_exim4-config_groupmessage exim4/router/950_exim4-config_groupmessage
	cp /etc/exim4/conf.d/router/950_exim4-config_ticketcomment exim4/router/950_exim4-config_ticketcomment
	cp /etc/exim4/conf.d/router/955_exim4-config_supportmessage exim4/router/955_exim4-config_supportmessage
	cp /etc/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe exim4/transport/40_exim4-config_hubgroupmessage_pipe
	cp /etc/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe exim4/transport/40_exim4-config_ticketcomment_pipe
	cp /etc/exim4/conf.d/transport/45_exim4-config_support_email_pipe exim4/transport/45_exim4-config_support_email_pipe
	cp /usr/lib/hubzero/bin/mailproc/mailproc.py python/mailproc.py
	cp /usr/lib/hubzero/bin/mailproc/processgroupforumpost.py python/processgroupforumpost.py
	cp /usr/lib/hubzero/bin/mailproc/processsupportemail.py python/processsupportemail.py
	cp /usr/lib/hubzero/bin/mailproc/processticketcomment.py python/processticketcomment.py
	cp /usr/lib/hubzero/bin/mailproc/filecopy.py python/filecopy.py
	cp /etc/logrotate.d/hubmailgateway ./hubmailgateway


configure:
	install --mode 0744 --owner root --group root -D hubmailgateway /etc/logrotate.d/hubmailgateway   

clean:
	rm -f build-stamp configure-stamp

## hubzero-mailgateway 1.1.19

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-mailgateway
 # @file         Makefile
 # @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -32,12 +32,12 @@
 	@true
 
 install:
-	install --mode 0755 -D exim4/router/950_exim4-config_groupmessage  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_groupmessage 
-	install --mode 0755 -D exim4/router/950_exim4-config_ticketcomment  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_ticketcomment
-	install --mode 0755 -D exim4/router/955_exim4-config_supportmessage  $(ETCDIR)/exim4/conf.d/router/955_exim4-config_supportmessage
-	install --mode 0755 -D exim4/transport/40_exim4-config_hubgroupmessage_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
-	install --mode 0755 -D exim4/transport/40_exim4-config_ticketcomment_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
-	install --mode 0755 -D exim4/transport/45_exim4-config_support_email_pipe  $(ETCDIR)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
+	install --mode 0644 -D exim4/router/950_exim4-config_groupmessage  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_groupmessage 
+	install --mode 0644 -D exim4/router/950_exim4-config_ticketcomment  $(ETCDIR)/exim4/conf.d/router/950_exim4-config_ticketcomment
+	install --mode 0644 -D exim4/router/955_exim4-config_supportmessage  $(ETCDIR)/exim4/conf.d/router/955_exim4-config_supportmessage
+	install --mode 0644 -D exim4/transport/40_exim4-config_hubgroupmessage_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
+	install --mode 0644 -D exim4/transport/40_exim4-config_ticketcomment_pipe  $(ETCDIR)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
+	install --mode 0644 -D exim4/transport/45_exim4-config_support_email_pipe  $(ETCDIR)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
 	install --mode 0755 -D python/mailproc.py $(USRDIR)/lib/hubzero/bin/mailproc/mailproc.py
 	install --mode 0755 -D python/processgroupforumpost.py $(USRDIR)/lib/hubzero/bin/mailproc/processgroupforumpost.py
 	install --mode 0755 -D python/processsupportemail.py $(USRDIR)/lib/hubzero/bin/mailproc/processsupportemail.py

## hubzero-mailgateway 1.1.24

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,9 @@
 	install --mode 0755 -D python/processsupportemail.py $(USRDIR)/lib/hubzero/bin/mailproc/processsupportemail.py
 	install --mode 0755 -D python/processticketcomment.py $(USRDIR)/lib/hubzero/bin/mailproc/processticketcomment.py
 	install --mode 0755 -D python/filecopy.py $(USRDIR)/lib/hubzero/bin/mailproc/filecopy.py
+	install --mode 0755 -D python/process_emailbounces.py $(USRDIR)/lib/hubzero/bin/mailproc/process_emailbounces.py
+	install --mode 0755 -D exim4/router/975_exim4-config_emailbounces
+	install --mode 0755 -D exim4/transport/exim4/transport/65_exim4-config_emailbounces_pipe
 
 collectfiles:
 	cp /etc/exim4/conf.d/router/950_exim4-config_groupmessage exim4/router/950_exim4-config_groupmessage
@@ -58,7 +61,6 @@
 	cp /usr/lib/hubzero/bin/mailproc/filecopy.py python/filecopy.py
 	cp /etc/logrotate.d/hubmailgateway ./hubmailgateway
 
-
 configure:
 	install --mode 0744 --owner root --group root -D hubmailgateway /etc/logrotate.d/hubmailgateway

## hubzero-mailgateway 1.1.27

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,8 @@
 	install --mode 0755 -D python/processticketcomment.py $(USRDIR)/lib/hubzero/bin/mailproc/processticketcomment.py
 	install --mode 0755 -D python/filecopy.py $(USRDIR)/lib/hubzero/bin/mailproc/filecopy.py
 	install --mode 0755 -D python/process_emailbounces.py $(USRDIR)/lib/hubzero/bin/mailproc/process_emailbounces.py
-	install --mode 0755 -D exim4/router/975_exim4-config_emailbounces
-	install --mode 0755 -D exim4/transport/exim4/transport/65_exim4-config_emailbounces_pipe
+	install --mode 0755 -D exim4/router/975_exim4-config_emailbounces $(ETCDIR)/exim4/conf.d/router/975_exim4-config_emailbounces
+	install --mode 0755 -D exim4/transport/65_exim4-config_emailbounces_pipe $(ETCDIR)/exim4/conf.d/transport/65_exim4-config_emailbounces_pipe
 
 collectfiles:
 	cp /etc/exim4/conf.d/router/950_exim4-config_groupmessage exim4/router/950_exim4-config_groupmessage

## hubzero-mailgateway 1.3.2

=== Makefile ===
# @package      hubzero-mailgateway
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRLIB=$(DESTDIR)/usr/lib
ETC=$(DESTDIR)/etc

all:
	@true

install:
	install --mode 0644 -D exim4/router/950_exim4-config_groupmessage  $(ETC)/exim4/conf.d/router/950_exim4-config_groupmessage 
	install --mode 0644 -D exim4/router/950_exim4-config_ticketcomment  $(ETC)/exim4/conf.d/router/950_exim4-config_ticketcomment
	install --mode 0644 -D exim4/router/955_exim4-config_supportmessage  $(ETC)/exim4/conf.d/router/955_exim4-config_supportmessage
	install --mode 0644 -D exim4/transport/40_exim4-config_hubgroupmessage_pipe  $(ETC)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
	install --mode 0644 -D exim4/transport/40_exim4-config_ticketcomment_pipe  $(ETC)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
	install --mode 0644 -D exim4/transport/45_exim4-config_support_email_pipe  $(ETC)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
	install --mode 0755 -D python/mailproc.py $(USRLIB)/hubzero/bin/mailproc/mailproc.py
	install --mode 0755 -D python/processgroupforumpost.py $(USRLIB)/hubzero/bin/mailproc/processgroupforumpost.py
	install --mode 0755 -D python/processsupportemail.py $(USRLIB)/hubzero/bin/mailproc/processsupportemail.py
	install --mode 0755 -D python/processticketcomment.py $(USRLIB)/hubzero/bin/mailproc/processticketcomment.py
	install --mode 0755 -D python/filecopy.py $(USRLIB)/hubzero/bin/mailproc/filecopy.py
	install --mode 0755 -D python/process_emailbounces.py $(USRLIB)/hubzero/bin/mailproc/process_emailbounces.py
	install --mode 0644 -D exim4/router/975_exim4-config_emailbounces $(ETC)/exim4/conf.d/router/975_exim4-config_emailbounces
	install --mode 0644 -D exim4/transport/65_exim4-config_emailbounces_pipe $(ETC)/exim4/conf.d/transport/65_exim4-config_emailbounces_pipe

collectfiles:
	cp /etc/exim4/conf.d/router/950_exim4-config_groupmessage exim4/router/950_exim4-config_groupmessage
	cp /etc/exim4/conf.d/router/950_exim4-config_ticketcomment exim4/router/950_exim4-config_ticketcomment
	cp /etc/exim4/conf.d/router/955_exim4-config_supportmessage exim4/router/955_exim4-config_supportmessage
	cp /etc/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe exim4/transport/40_exim4-config_hubgroupmessage_pipe
	cp /etc/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe exim4/transport/40_exim4-config_ticketcomment_pipe
	cp /etc/exim4/conf.d/transport/45_exim4-config_support_email_pipe exim4/transport/45_exim4-config_support_email_pipe
	cp /usr/lib/hubzero/bin/mailproc/mailproc.py python/mailproc.py
	cp /usr/lib/hubzero/bin/mailproc/processgroupforumpost.py python/processgroupforumpost.py
	cp /usr/lib/hubzero/bin/mailproc/processsupportemail.py python/processsupportemail.py
	cp /usr/lib/hubzero/bin/mailproc/processticketcomment.py python/processticketcomment.py
	cp /usr/lib/hubzero/bin/mailproc/filecopy.py python/filecopy.py
	cp /etc/logrotate.d/hubmailgateway ./hubmailgateway

uninstall:
	@true

postinst:
	install --mode 0744 --owner root --group root -D hubmailgateway /etc/logrotate.d/hubmailgateway

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-mailgateway 1.3.4

=== Makefile ===
# @package      hubzero-mailgateway
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @author       David Benham <dbenham@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

DISTRIBUTION:=$(shell lsb_release -i -s)

ifeq ($(DISTRIBUTION),Debian)
include deb.mk
else
include rpm.mk
endif

## hubzero-mailgateway 2.0.2

=== Makefile ===
# @package      hubzero-mailgateway
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @author       David Benham <dbenham@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

DISTRIBUTION:=$(shell lsb_release -i -s)

ifeq ($(DISTRIBUTION),Debian)
include deb.mk
else
include rpm.mk
endif

## hubzero-mailgateway 2.1.1-1+deb7

=== debian/changelog ===
hubzero-mailgateway (2.1.1-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 13:42:41 -0400

hubzero-mailgateway (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 12:01:07 -0400

hubzero-mailgateway (2.0.7-1) unstable; urgency=low

  * Force specific encoding for md5 hashing input

 -- Zach Weidner <zach.weidner@gmail.com>  Mon, 29 Jan 2018 13:02:11 -0500

hubzero-mailgateway (2.0.6-1) unstable; urgency=low

  * get charset before using in non-multipart messages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Oct 2016 10:45:15 -0400

hubzero-mailgateway (2.0.5-1) unstable; urgency=low

  * use correct object when getting non-multipart messages

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Sep 2016 13:07:15 -0400

hubzero-mailgateway (2.0.4-3) unstable; urgency=low

  * remove apache2 restart from postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Sep 2016 13:30:54 -0400

hubzero-mailgateway (2.0.4-2) unstable; urgency=low

  * update recommended dependencies to include hubzero-cms-2.1.0

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Sep 2016 11:44:13 -0400

hubzero-mailgateway (2.0.4-1) unstable; urgency=low

  * fix path for ticket attachments
  * reject forum posts to disabled forums

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Sep 2016 13:54:54 -0400

hubzero-mailgateway (2.0.2-1) unstable; urgency=low

  * update hubzero-cms dependencies for 2.0.0

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 05 Jan 2016 11:11:16 -0500

hubzero-mailgateway (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 18:32:08 -0400

hubzero-mailgateway (1.3.3-1) unstable; urgency=low

  * fix debian build

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 29 Aug 2015 17:11:08 -0400

hubzero-mailgateway (1.3.2-1) unstable; urgency=low

  * 1.3.2 version update
  * attachment filename space fix
  * added forum link to forum processed mail

 -- David Benham <dbenham@purdue.edu>  Mon, 12 Jan 2015 12:00:20 -0400

hubzero-mailgateway (1.3.0-1) unstable; urgency=low

  * 1.3.0 version update
  * python fixes for jos_support_ticket and jos_support_comments schema changes
  * some forum group post loop header fixes and header checking

 -- David Benham <dbenham@purdue.edu>  Wed, 15 Oct 2014 17:27:00 -0400

hubzero-mailgateway (1.2.0-2) unstable; urgency=low

  * update hubzero-cms dependency definition in debian packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 15 Sep 2014 10:28:55 -0400

hubzero-mailgateway (1.2.0-1) unstable; urgency=low

  * normalizing packaging to template

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 07 Sep 2014 18:08:59 -0400

hubzero-mailgateway (1.1.26-1) unstable; urgency=low

  * added code to prevent email loops in group discussions

 -- David Benham <dbenham@purdue.edu>  Mon, 28 Jul 2014 15:11:31 -0400

hubzero-mailgateway (1.1.25-1) unstable; urgency=low

  * non hub user discussion logic change, unsub links, python library location hardcode

 -- David Benham <dbenham@purdue.edu>  Wed, 23 Apr 2014 14:18:22 -0400

hubzero-mailgateway (1.1.24-1) unstable; urgency=low

  * Added email bounces to package

 -- David Benham <dbenham@purdue.edu>  Fri, 07 Feb 2014 10:17:25 -0500

hubzero-mailgateway (1.1.23-1) unstable; urgency=low

  * checked for jos_support_watching table before selecting from it

 -- David Benham <dbenham@purdue.edu>  Thu, 06 Feb 2014 15:42:48 -0500

hubzero-mailgateway (1.1.22-1) unstable; urgency=low

  * plaintext processing issue with attachments
  * email all ticket watchers after incoming email

 -- David Benham <dbenham@purdue.edu>  Tue, 04 Feb 2014 14:38:30 -0500

hubzero-mailgateway (1.1.21-1) unstable; urgency=low

  * attachment rework
  * added missing import 

 -- David Benham <dbenham@purdue.edu>  Fri, 31 Jan 2014 13:48:03 -0500

hubzero-mailgateway (1.1.20-1) unstable; urgency=low

  * fix to account for diff UTC formats in hub versions
  * fix to account for too SMTP error (too many connections)
  * minor attachment processing optimization and testing

 -- David Benham <dbenham@purdue.edu>  Mon, 13 Jan 2014 16:07:09 -0500

hubzero-mailgateway (1.1.19-1.1) unstable; urgency=low

  * fix dates to use UTC instead of local

 -- David Benham <dbenham@purdue.edu>  Thu, 19 Dec 2013 11:27:56 -0500

hubzero-mailgateway (1.1.18-1) unstable; urgency=low

  * attachment processing fix, created by fix

 -- David Benham <dbenham@purdue.edu>  Thu, 31 Oct 2013 11:24:55 -0400

hubzero-mailgateway (1.1.17-1) unstable; urgency=low

  * fix for new forum table insert `thread` field

 -- David Benham <dbenham@purdue.edu>  Mon, 21 Oct 2013 16:08:12 -0400

hubzero-mailgateway (1.1.16-1.1) unstable; urgency=low

  * Attachment logic rework to remove mime multipart/alternative content
  * moved additional ticket attachment code to filecopy.py

 -- root <root@dev16.hubzero.org>  Mon, 30 Sep 2013 15:59:01 -0400

hubzero-mailgateway (1.1.15-1) unstable; urgency=low

  * change the popen call to filecopy.py to account for sudo changes 

 -- dbenham <dbenham@purdue.edu>  Fri, 20 Sep 2013 11:22:03 -0400

hubzero-mailgateway (1.1.14-1) unstable; urgency=low

  * tweak regex for handling configuration.php variables

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 27 Aug 2013 22:43:30 -0400

hubzero-mailgateway (1.1.13-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 14:29:27 -0400

hubzero-mailgateway (1.1.12-1) unstable; urgency=low

  * set python dependency explicitly to 2.6
  * update copyrights

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 10:22:20 -0400

hubzero-mailgateway (1.1.11-1) unstable; urgency=low

  * rebuild package



=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-mailgateway
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	cp hubzero-mailgateway.logrotate.deb debian/hubzero-mailgateway.logrotate
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean
	rm -f debian/hubzero-mailgateway.logrotate

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-mailgateway install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-mailgateway 2.1.1-1+deb8

=== debian/changelog ===
hubzero-mailgateway (2.1.1-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 13:42:41 -0400

=== debian/control ===
Source: hubzero-mailgateway
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-mailgateway
Architecture: all
Depends: python (>=2.6), ${misc:Depends}, ${shlibs:Depends}, exim4, php5-mcrypt, python-crypto, spamassassin, clamav
Recommends: hubzero-cms-2.1.0 | hubzero-cms-2.0.0 | hubzero-cms-1.3.1 | hubzero-cms-1.3.0 | hubzero-cms-1.2.2 | hubzero-cms-1.2.1 | hubzero-cms-1.2.0
Description: HUBzero mail gateway (exim4)
 HUBzero mail gateway processing scripts for Exim4

## hubzero-mailgateway 2.1.2-1+deb8

=== debian/changelog ===
hubzero-mailgateway (2.1.2-1+deb8) unstable; urgency=low

  * backport autoreply header fix

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Jul 2018 11:43:14 -0400

hubzero-mailgateway (2.1.1-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 13:42:41 -0400

## hubzero-mailgateway 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # @package      hubzero-mailgateway
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2015-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2015-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-mailgateway 2.2.1-1+deb8

=== debian/changelog ===
hubzero-mailgateway (2.2.1-1+deb8) unstable; urgency=low

  * Add another header to check for auto replies

 -- Zach Weidner <zach.weidner@gmail.com>  Mon, 16 Jul 2018 09:33:14 -0400

hubzero-mailgateway (2.2.0-2) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Apr 2018 15:22:19 -0400

## hubzero-mailgateway 2.2.8-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-mailgateway
 # @file         Makefile
-# @author       David Benham <dbenham@purdue.edu>
-# @copyright    Copyright (c) 2015-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2015-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,13 +23,90 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
+
+USRLIB=$(DESTDIR)/usr/lib
+ETC=$(DESTDIR)/etc
+VARLOG=$(DESTDIR)/var/log
+VARLIB=$(DESTDIR)/var/lib
 
 DISTRIBUTION:=$(shell lsb_release -i -s)
 
+all:
+	@true
+
+install:
+	install --mode 0755 -D python/mailproc.py $(USRLIB)/hubzero-mailgateway/bin/mailproc/mailproc.py
+	install --mode 0755 -D python/processgroupforumpost.py $(USRLIB)/hubzero-mailgateway/bin/mailproc/processgroupforumpost.py
+	install --mode 0755 -D python/processsupportemail.py $(USRLIB)/hubzero-mailgateway/bin/mailproc/processsupportemail.py
+	install --mode 0755 -D python/processticketcomment.py $(USRLIB)/hubzero-mailgateway/bin/mailproc/processticketcomment.py
+	install --mode 0755 -D python/filecopy.py $(USRLIB)/hubzero-mailgateway/bin/mailproc/filecopy.py
+	install --mode 0755 -D python/process_emailbounces.py $(USRLIB)/hubzero-mailgateway/bin/mailproc/process_emailbounces.py
 ifeq ($(DISTRIBUTION),Debian)
-include deb.mk
+	install --mode 0644 -D exim4/router/950_exim4-config_groupmessage  $(ETC)/exim4/conf.d/router/950_exim4-config_groupmessage 
+	install --mode 0644 -D exim4/router/950_exim4-config_ticketcomment  $(ETC)/exim4/conf.d/router/950_exim4-config_ticketcomment
+	install --mode 0644 -D exim4/router/955_exim4-config_supportmessage  $(ETC)/exim4/conf.d/router/955_exim4-config_supportmessage
+	install --mode 0644 -D exim4/transport/40_exim4-config_hubgroupmessage_pipe  $(ETC)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
+	install --mode 0644 -D exim4/transport/40_exim4-config_ticketcomment_pipe  $(ETC)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
+	install --mode 0644 -D exim4/transport/45_exim4-config_support_email_pipe  $(ETC)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
+	install --mode 0644 -D exim4/router/975_exim4-config_emailbounces $(ETC)/exim4/conf.d/router/975_exim4-config_emailbounces
+	install --mode 0644 -D exim4/transport/65_exim4-config_emailbounces_pipe $(ETC)/exim4/conf.d/transport/65_exim4-config_emailbounces_pipe
+	install --mode 0755 -D hubzero-mailgateway.logrotate.debian $(ETC)/logrotate.d/hubzero-mailgateway
+	install --mode 0755 -D hubzero-mailgateway.sudoers.debian $(ETC)/sudoers.d/hubzero-mailgateway
 else
-include rpm.mk
+	install --mode 0755 -D hubzero-mailgateway.logrotate.el $(ETC)/logrotate.d/hubzero-mailgateway
+	install --mode 0755 -D hubzero-mailgateway.sudoers.el $(ETC)/sudoers.d/hubzero-mailgateway
 endif
+	install --mode 0750 -d $(VARLOG)/hubzero-mailgateway
+	install --mode 0750 -d $(VARLIB)/hubzero-mailgateway
+
+collectfiles:
+	if [ -f /usr/lib/hubzero-mailgateway/bin/mailproc/mailproc.py ]; then cp /usr/lib/hubzero-mailgateway/bin/mailproc/mailproc.py python/mailproc.py; fi
+	if [ -f /usr/lib/hubzero-mailgateway/bin/mailproc/processgroupforumpost.py ]; then cp /usr/lib/hubzero-mailgateway/bin/mailproc/processgroupforumpost.py python/processgroupforumpost.py; fi
+	if [ -f /usr/lib/hubzero-mailgateway/bin/mailproc/processsupportemail.py ]; then cp /usr/lib/hubzero-mailgateway/bin/mailproc/processsupportemail.py python/processsupportemail.py; fi
+	if [ -f /usr/lib/hubzero-mailgateway/bin/mailproc/processticketcomment.py ]; then cp /usr/lib/hubzero-mailgateway/bin/mailproc/processticketcomment.py python/processticketcomment.py; fi
+	if [ -f /usr/lib/hubzero-mailgateway/bin/mailproc/filecopy.py ]; then cp /usr/lib/hubzero-mailgateway/bin/mailproc/filecopy.py python/filecopy.py; fi
+	if [ -f /etc/exim4/conf.d/router/950_exim4-config_groupmessage ]; then cp /etc/exim4/conf.d/router/950_exim4-config_groupmessage exim4/router/950_exim4-config_groupmessage; fi
+	if [ -f /etc/exim4/conf.d/router/950_exim4-config_ticketcomment ]; then cp /etc/exim4/conf.d/router/950_exim4-config_ticketcomment exim4/router/950_exim4-config_ticketcomment; fi
+	if [ -f /etc/exim4/conf.d/router/955_exim4-config_supportmessage ]; then cp /etc/exim4/conf.d/router/955_exim4-config_supportmessage exim4/router/955_exim4-config_supportmessage; fi
+	if [ -f /etc/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe ]; then cp /etc/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe exim4/transport/40_exim4-config_hubgroupmessage_pipe; fi
+	if [ -f /etc/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe ]; then cp /etc/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe exim4/transport/40_exim4-config_ticketcomment_pipe; fi
+	if [ -f /etc/exim4/conf.d/transport/45_exim4-config_support_email_pipe ]; then cp /etc/exim4/conf.d/transport/45_exim4-config_support_email_pipe exim4/transport/45_exim4-config_support_email_pipe; fi
+
+uninstall:
+	rm -f $(USRLIB)/hubzero-mailgateway/bin/mailproc/mailproc.py
+	rm -f $(USRLIB)/hubzero-mailgateway/bin/mailproc/processgroupforumpost.py
+	rm -f $(USRLIB)/hubzero-mailgateway/bin/mailproc/processsupportemail.py
+	rm -f $(USRLIB)/hubzero-mailgateway/bin/mailproc/processticketcomment.py
+	rm -f $(USRLIB)/hubzero-mailgateway/bin/mailproc/filecopy.py
+	rm -f $(USRLIB)/hubzero-mailgateway/bin/mailproc/process_emailbounces.py
+	rm -f $(ETC)/exim4/conf.d/router/950_exim4-config_groupmessage
+	rm -f $(ETC)/exim4/conf.d/router/950_exim4-config_ticketcomment
+	rm -f $(ETC)/exim4/conf.d/router/955_exim4-config_supportmessage
+	rm -f $(ETC)/exim4/conf.d/transport/40_exim4-config_hubgroupmessage_pipe
+	rm -f $(ETC)/exim4/conf.d/transport/40_exim4-config_ticketcomment_pipe
+	rm -f $(ETC)/exim4/conf.d/transport/45_exim4-config_support_email_pipe
+	rm -f $(ETC)/exim4/conf.d/router/975_exim4-config_emailbounces
+	rm -f $(ETC)/exim4/conf.d/transport/65_exim4-config_emailbounces_pipe
+	rm -f $(ETC)/logrotate.d/hubzero-mailgateway
+	rm -fr $(VARLOG)/hubzero-mailgateway
+	rm -fr $(VARLIB)/hubzero-mailgateway
+	rm -fr $(ETC)/sudoers.d/hubzero-mailgateway
+
+postinst:
+ifeq ($(DISTRIBUTION),Debian)
+	chown Debian-exim:Debian-exim /var/log/hubzero-mailgateway
+	chown Debian-exim:Debian-exim /var/lib/hubzero-mailgateway
+else
+	adduser --system -m --home-dir /var/lib/hzmail --shell /sbin/nologin hzmail
+	chown hzmail:hzmail /var/log/hubzero-mailgateway
+	chown hzmail:hzmail /var/lib/hubzero-mailgateway
+endif
+
+clean:
+	@true
+
+.PHONY: all install uninstall postinst clean
+
+

=== debian/changelog ===
hubzero-mailgateway (2.2.8-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 18 Aug 2020 22:11:04 -0700

hubzero-mailgateway (2.2.7-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 28 Apr 2020 20:45:31 -0700

hubzero-mailgateway (2.2.6-1) unstable; urgency=low

  * fix path to filecopy.py in sudoers files

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 24 Oct 2019 11:51:16 -0400

hubzero-mailgateway (2.2.5-1) unstable; urgency=low

  * fix sudoers file username on EL systems

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 23 Oct 2019 14:13:44 -0400

hubzero-mailgateway (2.2.4-1) unstable; urgency=low

  * fix el rpm adduser preinst home directory creation

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 17 Apr 2019 10:52:03 -0400

hubzero-mailgateway (2.2.3-1) unstable; urgency=low

  * fix el rpm adduser preinst

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 15 Apr 2019 14:47:53 -0400

hubzero-mailgateway (2.2.2-1) unstable; urgency=low

  * change ownership of hubzero-mailgateway runtime/log directories in postinst

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 15 Apr 2019 14:39:24 -0400

hubzero-mailgateway (2.2.1-1) unstable; urgency=low

  * Add another header to check for auto replies
  * combine rpm/deb makefile
  * move collectfiles.sh into makefile
  * create debian version of logrotate config
  * create redhat version of logrotate config
  * create debian version of sudoers config
  * create redhat version of sudoers config
  * fix logging directory to be mta agnostic
  * fix working directory to be mta agnostic
  * change postfix hubmail user to hzmail
  * create hzmail user in rpm postinst
  * sudo to apache for filecopy on redhat
  * sudo to www-data for filecopy on debian
  * remove references to exim in main mta agnostic scripts
  * move files to /usr/lib/hubzero-mailgateway
  * rename dist specific files to not use package ext

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 15 Apr 2019 11:31:16 -0400

=== debian/control ===
Source: hubzero-mailgateway
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-mailgateway
Architecture: all
Depends: python (>=2.6), ${misc:Depends}, ${shlibs:Depends}, exim4, python-crypto, spamassassin, clamav
Recommends: hubzero-cms-2.2 | hubzero-cms-2.1.0 | hubzero-cms-2.0.0 | hubzero-cms-1.3.1 | hubzero-cms-1.3.0 | hubzero-cms-1.2.2 | hubzero-cms-1.2.1 | hubzero-cms-1.2.0
Description: HUBzero mail gateway (exim4)
 HUBzero mail gateway processing scripts for exim4

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-mailgateway
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
@@ -55,7 +54,7 @@
 	@echo "########## build ##########"
 	dh_testdir
 	$(MAKE)
-	cp hubzero-mailgateway.logrotate.deb debian/hubzero-mailgateway.logrotate
+	cp hubzero-mailgateway.logrotate.debian debian/hubzero-mailgateway.logrotate
 	>$@
 
 clean:
